
QGIS Application - Bug report #1654

SIGNAL ( activated ()) in plugins is deprecated and cause plugins malfunction

2009-04-25 11:56 AM - vince -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11714

Description

At several places in the plugins code, the activated () signal of the QAction class is used to signal the plugin it has been activated. This is

wrong : this signal has disappeared from Qt4 and if QT4 is not compiled with the Qt3 backward compatibility, it is simply non existent, so

no plugin can be called at all.

Please replace activated () by triggered () (It fixes the bug).

History

#1 - 2009-04-29 05:15 AM - vince -

The same bug exists in various python plugins. It should be notified to plugin writers and maybe added on the Wiki

#2 - 2009-07-11 06:57 AM - Giovanni Manghi

Was this note already included in the documentation for pluging writers?

#3 - 2009-08-05 05:14 AM - Otto Dassau

- Resolution set to fixed

- Status changed from Open to Closed

added a small section to the "Writing a QGIS Plugin in Python" section of the coding & compilation guide. 

Otto
